> For the complete documentation index, see [llms.txt](https://docs.b2b-sellers.com/b2b-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2b-sellers.com/b2b-platform/3/developer-guides/how-tos/add-additional-data-to-the-order-confirmation-mail.md).

# Add additional data to the order confirmation mail

### Event participant registration

Each event participant line item has additional data about the participant and the event itself.

Here is an example with which you can output the data for each line item:

```twig
{% if nestedItem.extensions.eventParticipant is defined %}
    {% set eventParticipant = nestedItem.extensions.eventParticipant %}
    
    <div>
        <b>Participant:</b> {{ eventParticipant.firstName }} {{ eventParticipant.lastName }}<br />
        <b>E-Mail:</b> {{ eventParticipant.email }}<br />
        {% if eventParticipant.event is defined %}
            <b>Event:</b> {{ eventParticipant.event.translated.name }}<br />
            <b>Date:</b> {{ eventParticipant.event.startDate|format_date('short', locale='en-GB') }} - {{ eventParticipant.event.endDate|format_date('short', locale='en-GB') }}<br />
            {% if eventParticipant.event.eventLocation is defined %}
                <b>Location:</b> {{ eventParticipant.event.eventLocation.translated.name }}
            {% endif %}
        {% endif %}
    </div>
{% endif %}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.b2b-sellers.com/b2b-platform/3/developer-guides/how-tos/add-additional-data-to-the-order-confirmation-mail.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
